Skip to content

Topup Card

| View as Markdown

In this api we will be toping up the customer’s card. If the affiliate has prepaid wallet we will check the balance of the affiliate wallet and let customer do the topup and send an email to affiliate. If affiliate is postpaid we will allow customer to topup directly.

https://kraken.airpay.co.in/airpay/ms/cards/api/topup
FieldTypeDescription
tokentext(length 10, required)
checksumtext$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required)
FieldTypeDescription
entity_idtextThe Customer Id registered with the system (length 50, required)
amountnumeric00.00 (required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/topup' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'amount=1'
FieldTypeDescription
statusnumeric400- fail,200-success(length 3, required)
messagetextSuccess, Fail(required)
datajson{“transaction_id”:””}(required)
{
"status": 200,
"message": "success",
"data":{
“transaction_id”:””
}
}
{
"status": 400,
"message": "fail"
}